Package twisted :: Package persisted :: Package journal :: Module picklelog :: Class DirDBMLog |
[frames | no frames]

## Class DirDBMLog

Log pickles to DirDBM directory.

Method Summary
| `__init__(self, logPath)`
| `getCommandsSince(self, index)`
| ``getCurrentIndex`(self)` Return index of last command logged.
| ``logCommand`(self, command, time)` Log a command.

Class Variable Summary
`class` | `__implements__` = `twisted.persisted.journal.base.ICommandLog`

Method Details

### getCurrentIndex(self) Return index of last command logged.

### logCommand(self, command, time) Log a command.

Generated by Epydoc 2.0 on Sat Oct 25 00:55:05 2003 | http://epydoc.sf.net